LibreOffice: XNSSInitializer Interface Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Member Functions | Public Attributes | List of all members
XNSSInitializer Interface Reference
Inheritance diagram for XNSSInitializer:

## Exported Interfaces
interface | ::com::sun::star::xml::crypto::XDigestContextSupplier
interface | ::com::sun::star::xml::crypto::XCipherContextSupplier

## Public Member Functions
sequence< NSSProfile > | getNSSProfiles ()
| get the current profile list
Public Member Functions inherited from XDigestContextSupplier
XDigestContext | getDigestContext ([in] long nDigestID, [in] sequence< ::com::sun::star::beans::NamedValue > aParams) raises ( ::com::sun::star::lang::IllegalArgumentException )
| returns an object that allows to generate the specified digest.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XCipherContextSupplier
XCipherContext | getCipherContext ([in] long nCipherID, [in] sequence< byte > aKey, [in] sequence< byte > aInitializationVector, [in] boolean bEncryption, [in] sequence< ::com::sun::star::beans::NamedValue > aParams) raises ( ::com::sun::star::lang::IllegalArgumentException )
| returns an object that allows to encrypt/decrypt data.

## Public Attributes
string | NSSPath
| the current path to the NSS databases
boolean | IsNSSinitialized
| the state of the NSS initialization

## Detailed Description

Since
  LibreOffice 4.0

## Exported Interfaces

## ◆ ::com::sun::star::xml::crypto::XCipherContextSupplier

interface ::com::sun::star::xml::crypto::XCipherContextSupplier

## ◆ ::com::sun::star::xml::crypto::XDigestContextSupplier

interface ::com::sun::star::xml::crypto::XDigestContextSupplier

## Member Function Documentation

## ◆ getNSSProfiles()

sequence< NSSProfile > getNSSProfiles | ( |  | ) |

get the current profile list

Since
  LibreOffice 7.1

## Member Data Documentation

## ◆ IsNSSinitialized

boolean IsNSSinitialized
| attributereadonly

the state of the NSS initialization

This attribute returns true, if the NSS library is initialized.

See also
  NSSPath

Since
  LibreOffice 7.1

## ◆ NSSPath

string NSSPath
| attributereadonly

the current path to the NSS databases

This attribute returns the current setting, based on the user selection or automatic detection. This value can change until someone uses NSS crypto functions, because just then LibreOffice initializes the NSS library and the value stays fixed until LibreOffice is restarted!

Since
  LibreOffice 7.1

The documentation for this interface was generated from the following file:

- com/sun/star/xml/crypto/XNSSInitializer.idl